function normalizedData = normalizeDescriptors(data)
% data: dataLength X nJoints X nParts X (nProjections * nBins);
    [len, nJoints, nParts, nd] = size(data);
    normalizedData = zeros(len, nJoints * nParts * nd);
    for i=1:len
        normalizedData(i, :) = data(i, :) / (norm(data(i, :) + 1e-5));
    end
end